package ink.wgink.service.position.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: GroupRouteController
 * @Description: 职位路由
 * @Author: wanggeng
 * @Date: 2021/2/15 9:07 上午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "职位路由接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/position")
public class PositionRouteController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("position/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("position/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("position/list");
    }

    @GetMapping("list-tree")
    public ModelAndView listTree() {
        return new ModelAndView("position/list-tree");
    }

    @GetMapping("list-tree-check")
    public ModelAndView listTreeCheck() {
        return new ModelAndView("position/list-tree-check");
    }
}
